#include <kernel/proc.h>
#include <kernel/lib_k.h>
#include <errno.h>
//----------------------------------------------------------------------
fd_t *
fd_reference (pid_t pid, int *fdn)
{
    proc_t *ps;
    //
    // Get process.
    //
    ps = proc_reference (pid);
    //
    // See what to do.
    //
    if (*fdn < 0)
      {
        //
        // Find the first free slot.
        //
        for (*fdn = 0; *fdn < OPEN_MAX; (*fdn)++)
          {
            if (ps->fd[*fdn].file == NULL)
              {
                return (&(ps->fd[*fdn]));
              }
          }
        *fdn = -1;
        return (NULL);
      }
    else
      {
        if (*fdn < OPEN_MAX)
          {
            //
            // Might return even a free file descriptor.
            //
            return (&(ps->fd[*fdn]));
          }
        else
          {
            return (NULL);
          }
      }
}
