#include <kernel/proc.h>
#include <errno.h>
#include <fcntl.h>
//----------------------------------------------------------------------
file_t *
file_reference (int fno)
{
    //
    // Check type of request.
    //
    if (fno < 0)
      {
        //
        // Find a free slot.
        //
        for (fno = 0; fno < FILE_MAX_SLOTS; fno++)
          {
            if (file_table[fno].references <= 0)
              {
                return (&file_table[fno]);
              }
          }
        return (NULL);
      }
    else if (fno > FILE_MAX_SLOTS)
      {
        return (NULL);
      }
    else
      {
        return (&file_table[fno]);
      }
}
