#include <kernel/fs.h>
//----------------------------------------------------------------------
void
fs_init (void)
{
    int s;
    int i;
    int f;
    //
    for (s = 0; s < SB_MAX_SLOTS; s++)
      {
        sb_table[s].device           = 0;
        sb_table[s].inode_mounted_on = NULL;
      }
    //
    for (i = 0; i < INODE_MAX_SLOTS; i++)
      {
        inode_table[i].references = 0;
      }
    //
    for (f = 0; f < FILE_MAX_SLOTS; f++)
      {
        file_table[f].references = 0;
        file_table[f].inode      = NULL;
        file_table[f].sock       = NULL;
      }
}
