#include <kernel/net/arp.h>
#include <kernel/net/ethernet.h>
#include <kernel/net/ip.h>
#include <kernel/lib_k.h>
//----------------------------------------------------------------------
void
arp_print (void)
{
  int a;        // ARP table index.
  //
  for (a = 0; a < ARP_MAX_ITEMS; a++)
    {
      if (arp_table[a].time > 0)
        {
          k_printf ("%i.%i.%i.%i  ",
                    arp_table[a].ip >> 24 & 0x000000FF,
                    arp_table[a].ip >> 16 & 0x000000FF,
                    arp_table[a].ip >>  8 & 0x000000FF,
                    arp_table[a].ip >>  0 & 0x000000FF);
          //
          k_printf ("%02x:%02x:%02x:%02x:%02x:%02x\n",
                    arp_table[a].mac[0],
                    arp_table[a].mac[1],
                    arp_table[a].mac[2],
                    arp_table[a].mac[3],
                    arp_table[a].mac[4],
                    arp_table[a].mac[5]);
          //
        }
    }
}
