#include <kernel/driver/pci.h>
#include <kernel/net/ip.h>
#include <kernel/net/ethernet.h>
#include <kernel/ibm_i386.h>
#include <errno.h>
#include <kernel/lib_k.h>
#include <kernel/lib_s.h>
//----------------------------------------------------------------------
void
ip_test (void)
{
  uint8_t pacchetto[64] = {
    0x08, 0x00, 0xcd, 0x04, 0x06, 0x70, 0x0b, 0x00, 0x34, 0x1e, 0x59,
    0x4c, 0x60, 0xde, 0x01, 0x00, 0x00, 0x01, 0x02, 0x03, 0x04, 0x05,
    0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f, 0x10,
    0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18, 0x19, 0x1a, 0x1b,
    0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x21, 0x22, 0x23, 0x24, 0x25, 0x26,
    0x27, 0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f};

  h_addr_t src = 0xAC150B10; //172, 21, 11, 16
  h_addr_t dst = 0xAC15FEFE; //172, 21, 254, 254

  int status;
  //
  //
  //
  status = ip_tx (src, dst, IP_PROTOCOL_ICMP, pacchetto, (size_t) 64);


  if (status)
    {
        k_perror (NULL);
    }
}
