#include <kernel/net.h>
#include <kernel/net/ethernet.h>
#include <kernel/net/route.h>
#include <kernel/net/arp.h>
//----------------------------------------------------------------------
uint32_t
net_ip_n (uint8_t a, uint8_t b, uint8_t c, uint8_t d)
{
  union {
    uint32_t numeric;
    uint8_t octet[4];
  } address;
  //
  address.octet[0] = a;
  address.octet[1] = b;
  address.octet[2] = c;
  address.octet[3] = d;
  //
  return address.numeric;
}
