#include <kernel/proc.h>
#include <kernel/lib_s.h>
#include <kernel/lib_k.h>
#include <stdint.h>
//----------------------------------------------------------------------
#define DEBUG 0
//----------------------------------------------------------------------
void *
proc_offset_data_to_pointer (pid_t pid, addr_t addr_data)
{
  addr_t   addr_data_top;
  addr_t   addr_data_absolute;
  //
  if (proc_table[pid].domain_data == 0)
    {
      addr_data_top = proc_table[pid].address_text;
    }
  else
    {
      addr_data_top = proc_table[pid].address_data;
    }
  //
  addr_data_absolute = addr_data_top + addr_data;
  //
  return ((void *) addr_data_absolute);
}
