#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
//----------------------------------------------------------------------
int
getchar (void)
{
    ssize_t size_read;
    int	    c;		// Character read.
    //
    for (c = 0;;)
      {
        size_read = read (STDIN_FILENO, &c, (size_t) 1);
        //
        if (size_read <= 0)
          {
            //
            // It is the end of file (zero) otherwise there is a
            // problem (a negative value): return `EOF'.
            //
	    _stream[STDIN_FILENO].eof = 1;
            return (EOF);
          }
        //
        // Valid read.
        //
        if (size_read == 0)
          {
            //
            // If no character is ready inside the keyboard buffer, just
            // retry.
            //
            continue;
          }
        //
        // End of scan.
        //
	return (c);
      }
}
