#include <unistd.h>
#include <errno.h>
#include <sys/os32.h>
#include <string.h>
//----------------------------------------------------------------------
int
mknod (const char *path, mode_t mode, dev_t device)
{
    sysmsg_mknod_t msg;
    //
    strncpy (msg.path, path, PATH_MAX);
    msg.mode   = mode;
    msg.device = device;
    //
    sys (SYS_MKNOD, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
