#include <kernel/driver/screen.h>
//----------------------------------------------------------------------
void
screen_init (void)
{
    int         i;
    int         j;
    //
    // Reset and clear all virtual consoles.
    //
    for (i = 0; i < SCREEN_MAX; i++)
      {
        //
        // Reset position.
        //
        screen_table[i].position = 0;
        //
        for (j = 0; j < SCREEN_CELLS; j++)
          {
            screen_table[i].cell[j] = screen_cell (' ', VGA_ATTR);
          }
      }
    //
    // Select the first screen.
    //
    screen_active = 0;
}
