.global _out_16
#-----------------------------------------------------------------------
.section .text
#-----------------------------------------------------------------------
# Port output word.
#-----------------------------------------------------------------------
_out_16:
    enter $0, $0                # No local variables.
    pushf
    pusha
    .equ  OUT_PORT,  8          # First parameter.
    .equ  OUT_DATA, 12          # Second parameter.
    mov   OUT_PORT(%ebp), %edx  # Copy output port to EDX, but only DX
                                # will be used.
    mov   OUT_DATA(%ebp), %eax  # Copy output data to EAX, but only AX
                                # will be used.
    out   %ax, %dx              # Send to the port.
    popa
    popf
    leave
    ret
