#include <kernel/net/arp.h>
#include <kernel/net/ethernet.h>
#include <kernel/net/ip.h>
#include <sys/os32.h>
//----------------------------------------------------------------------
arp_t *
arp_reference (void)
{
  int    a;        // ARP table index.
  time_t older = 0;
  //
  for (a = 0; a < ARP_MAX_ITEMS; a++)
    {
      if (arp_table[a].time == 0)
        {
          //
          // Enough.
          //
          return (&arp_table[a]);
        }
      //
      older = min (arp_table[a].time, older);
    }
  //
  return (&arp_table[a]);
}
