#include <kernel/net.h>
#include <kernel/net/ethernet.h>
#include <kernel/net/route.h>
#include <kernel/net/arp.h>
//----------------------------------------------------------------------
uint32_t
net_mask_h (int m)
{
  int      i;
  uint32_t mm   = 0x80000000;
  uint32_t mask = 0;
  //
  for (i = 0; i < m; i++)
    {
      mask |= mm;
      mm = mm >> 1;
    }
  //
  return mask;
}
