#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
routedel (in_addr_t destination, int m)
{
    sysmsg_route_t msg;
    //
    // Fill the message.
    //
    msg.destination = destination;
    msg.m           = m;
    //
    // Syscall.
    //
    sys (SYS_ROUTEDEL, &msg, (sizeof msg));
    //
    // Check return value.
    //
    if (msg.ret < 0)
      {
        //
        // Something wrong.
        //
        errno = msg.errno;
        errln = msg.errln;
        strncpy (errfn, msg.errfn, PATH_MAX);
      }
    //
    // Return.
    //
    return (msg.ret);
}
