#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
connect (int sfdn, const struct sockaddr *addr, socklen_t addrlen)
{
    sysmsg_connect_t msg;
    //
    // Fill the message.
    //
    msg.sfdn    = sfdn;
    memcpy (&msg.addr, addr, (size_t) addrlen);
    msg.addrlen = addrlen;
    msg.ret     = 0;
    //
    // Syscall.
    //
    sys (SYS_CONNECT, &msg, (sizeof msg));
    //
    // Check return value.
    //
    if (msg.ret < 0)
      {
        //
        // Something wrong.
        //
        errno = msg.errno;
        errln = msg.errln;
	strncpy (errfn, msg.errfn, PATH_MAX);
      }
    //
    // Return.
    //
    return (msg.ret);
}
