#include <sys/os32.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
socket (int family, int type, int protocol)
{
    sysmsg_socket_t msg;
    //
    // Fill the message.
    //
    msg.family   = family;
    msg.type     = type;
    msg.protocol = protocol;
    msg.ret      = 0;
    //
    // Syscall.
    //
    sys (SYS_SOCKET, &msg, (sizeof msg));
    //
    // Check return value.
    //
    if (msg.ret < 0)
      {
        //
        // Something wrong.
        //
        errno = msg.errno;
        errln = msg.errln;
	strncpy (errfn, msg.errfn, PATH_MAX);
      }
    //
    // Return.
    //
    return (msg.ret);
}
