#include <sys/stat.h>
#include <string.h>
#include <sys/os32.h>
#include <errno.h>
#include <limits.h>
//----------------------------------------------------------------------
int
mkdir (const char *path, mode_t mode)
{
    sysmsg_mkdir_t msg;
    //
    strncpy (msg.path, path, PATH_MAX);
    msg.mode = mode;
    //
    sys (SYS_MKDIR, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
