#include <unistd.h>
#include <errno.h>
#include <sys/os32.h>
#include <string.h>
//----------------------------------------------------------------------
int
stat (const char *path, struct stat *buffer)
{
    sysmsg_stat_t msg;
    //
    strncpy (msg.path, path, PATH_MAX);
    //
    msg.stat.st_dev	= buffer->st_dev;
    msg.stat.st_ino	= buffer->st_ino;
    msg.stat.st_mode	= buffer->st_mode;
    msg.stat.st_nlink	= buffer->st_nlink;
    msg.stat.st_uid	= buffer->st_uid;
    msg.stat.st_gid	= buffer->st_gid;
    msg.stat.st_rdev	= buffer->st_rdev;
    msg.stat.st_size	= buffer->st_size;
    msg.stat.st_atime	= buffer->st_atime;
    msg.stat.st_mtime	= buffer->st_mtime;
    msg.stat.st_ctime	= buffer->st_ctime;
    msg.stat.st_blksize	= buffer->st_blksize;
    msg.stat.st_blocks	= buffer->st_blocks;
    //
    sys (SYS_STAT, &msg, (sizeof msg));
    //
    buffer->st_dev	= msg.stat.st_dev;
    buffer->st_ino	= msg.stat.st_ino;
    buffer->st_mode	= msg.stat.st_mode;
    buffer->st_nlink	= msg.stat.st_nlink;
    buffer->st_uid	= msg.stat.st_uid;
    buffer->st_gid	= msg.stat.st_gid;
    buffer->st_rdev	= msg.stat.st_rdev;
    buffer->st_size	= msg.stat.st_size;
    buffer->st_atime	= msg.stat.st_atime;
    buffer->st_mtime	= msg.stat.st_mtime;
    buffer->st_ctime	= msg.stat.st_ctime;
    buffer->st_blksize	= msg.stat.st_blksize;
    buffer->st_blocks	= msg.stat.st_blocks;
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
