#include <unistd.h>
#include <string.h>
#include <sys/os32.h>
#include <errno.h>
#include <limits.h>
//----------------------------------------------------------------------
int
brk (void *address)
{
    sysmsg_brk_t   msg;
    //
    if (address == NULL)
      {
        errset (EINVAL);
        return (-1);
      }
    //
    msg.address = address;
    //
    sys (SYS_BRK, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
